<template>
  <el-row :gutter="20" v-if="person_info !== []">
<!--    Main info-->
    <el-col :sm="{span:12}">
      <div class="defaultBlock" v-if="person_info.people"><ClientInfoComponent :info="person_info.people" :document="person_info.documents" /></div>
      <div class="defaultBlock" v-if="person_info.company"><CompanyInfoComponent :info="person_info.company" :document="person_info.documents" /></div>
      <div class="defaultBlock" v-if="person_info.ip"><IpInfoComponent :info="person_info.ip" :document="person_info.documents" /></div>
    </el-col>
<!--    Contacts-->
    <el-col :sm="{span:12}">
      <div class="defaultBlock" v-if="person_info.contact"><ContactsComponent :info="person_info.contact" :person_info="person_info" /></div>
    </el-col>
<!--    Bank accounts/Банковские счета-->
    <el-col>
      <div class="defaultBlock"><BankAccountsComponent /></div>
    </el-col>
<!--    Treaties/Договоры-->
    <el-col>
      <div class="defaultBlock"><TreatiesComponent /></div>
    </el-col>
<!--    Risks/Риски-->
    <el-col :sm="{span:12}">
      <div class="defaultBlock" v-if="person_info.risks"><RisksComponent :info="person_info.risks" /></div>
    </el-col>
    <!--    Licenses/Лицензии-->
    <el-col :sm="{span:12}">
      <div class="defaultBlock" v-if="person_info.licenses"><LicensesComponent :info="person_info.licenses" /></div>
    </el-col>
<!--    Taxation/Налогообложение-->
    <el-col>
      <div class="defaultBlock" v-if="person_info.nalog_info"><TaxationComponent :info="person_info.nalog_info" /></div>
    </el-col>

  </el-row>
</template>

<script>
import moment from "moment";
import ClientInfoComponent from "@/views/cabinet-components/clients-components/inner-components/ClientInfoComponent";
import CompanyInfoComponent from "@/views/cabinet-components/clients-components/inner-components/CompanyInfoComponent";
import IpInfoComponent from "@/views/cabinet-components/clients-components/inner-components/IpInfoComponent";
import ContactsComponent from "@/views/cabinet-components/clients-components/inner-components/ContactsComponent";
import BankAccountsComponent from "@/views/cabinet-components/clients-components/inner-components/BankAccountsComponent";
import TreatiesComponent from "@/views/cabinet-components/clients-components/inner-components/TreatiesComponent";
import RisksComponent from "@/views/cabinet-components/clients-components/inner-components/RisksComponent";
import LicensesComponent from "@/views/cabinet-components/clients-components/inner-components/LicensesComponent";
import TaxationComponent from "@/views/cabinet-components/clients-components/inner-components/TaxationComponent";

export default {
  props:{
    person_info:[Object, Array],
  },
  components:{
    ClientInfoComponent,
    CompanyInfoComponent,
    IpInfoComponent,
    ContactsComponent,
    BankAccountsComponent,
    TreatiesComponent,
    RisksComponent,
    LicensesComponent,
    TaxationComponent,
  },
  methods:{
    dateFormat(data){
      if(data !== ''){
        return moment(data).format('DD.MM.YYYY')
      }else{
        return '-'
      }
    },
  }
}
</script>